# Integration Scenarios

## Signing parties

**Signature initiator** is the one (or other system) who starts a signing process and chooses a defined type of signature on a document. Signature initiator is able to see the status of all signing requests (in progress or signed).

**Signee** is the one who receives an invitation for signing (by a link) and signs a document with a signature type previously chosen by a signature initiator. Signees are allowed to have an access and sign **only documents** being delegated for them.

**Signing order** is a sequence according to which defined signees are to sign a document.

## Signing flows - examples

#### SIGNING FLOW no 1: with (mandatory) SIGNEE REGISTRATION <a href="#signing-flow-no-1-with-mandatory-signee-registration" id="signing-flow-no-1-with-mandatory-signee-registration"></a>

This signing flow is dedicated to regular signees.

**Signature initiator**

1. Creates and names a folder
2. Chooses a document to be signed (non-edited PDF) and uploads it to an existing folder
3. Selects a type of signature (**QUALIFIED** or **ADVANCED** signature according to our API)
4. Chooses the graphical representation of the signatures or NOT (**obligatory for ADVANCED, but optional for QUALIFIED**)
5. Adds document signees (email address and mobile number of each person concerned must be entered)
6. Sets a specific signing order, or NOT – which means, that the signees are to sign a document one after another according to previously specified signing order, or all signees simultanously have possibility to sign a document (but each can sign at their own pace)
7. Forwards a document for signing(a dedicated link heading directly to a document folder is being sent to defined signees)

**Signee**

1. Receives a **link** to a document folder
2. Registers on **SIGNIUS Professional** (enters verified email address, mobile number, first & last name, nationality, as well as a password. This step is skipped, if the signee is already registered
3. Logs in to **SIGNIUS Professional**
4. Undergoes an identity verification (this step is skipped if the signee is verified)
5. Following the approved verification a signee is allowed to sign a document (confirmed by entering an SMS code)

**IMPORTANT**: Both signing parties can download unsigned / signed document.However, a folder and a document can be deleted only by a signature initiator.

#### SIGNING FLOW no 2: without a SIGNEE REGISTRATION <a href="#signing-flow-no-2-without-a-signee-registration" id="signing-flow-no-2-without-a-signee-registration"></a>

This signing flow is dedicated to one-time signees (quick and easy, NOT requiring registration, or logging on to **SIGNIUS Professional platform**).

**Signature initiator**

1. Creates and names a folder
2. Chooses a document to be signed (non-edited PDF) and uploads it to an existing folder
3. Selects a type of signature (**EASY** signature according to our API)
4. Chooses the graphical representation of the signatures (**obligatory**)
5. Adds document signees (email address and mobile number of each person concerned must be entered, as well as the first and last name)
6. Sets a specific signing order, or NOT – which means, that the signees are to sign a document one after another according to previously specified signing order, or all signees simultanously have possibility to sign a document (but each can sign at their own pace)
7. Forwards a document for signing(a dedicated link heading directly to a document folder is being sent to defined signees)

**Signee**

1. Receives a **link** to a document folder
2. Registering or logging on to **SIGNIUS Professional** is **NOT MANDATORY**
3. Verification of a signee’s identity is **NOT REQUIRED**
4. Signs a document (confirmed by entering an SMS code)

**IMPORTANT**: It is recommended to download and remove a document from **SIGNIUS Professional** shortly after signing.

For new users, signed documents are being deleted after 30 days, but it may be defined otherwise.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.signius.eu/api/integration-scenarios.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
